' By Jimmy Bergmark
' Copyright (C) 1997-2002 JTB World, All Rights Reserved
' Website: www.jtbworld.com / http://jtbworld.vze.com
' E-mail: info@jtbworld.com / jtbworld@hotmail.com
' This program is created for AutoCAD 2002 LT
' Removes the icons Buzzsaw, RedSpark, Point A and FTP in Open dialog box for the current profile
' If the profile is added to the command line as an argument it is used instead
' If the profilename includes spaces, use " around the name
' Example: remicons.vbs "<<unnamed profile>>"

Sub main()
  On Error Resume Next
  Set WshShell = WScript.CreateObject("WScript.Shell")
  r15 = "HKCU\SOFTWARE\Autodesk\AutoCAD LT\R8\"
  cv = WshShell.RegRead("HKLM\SOFTWARE\Autodesk\AutoCAD LT\R8\CurVer")

  if cv="" then WScript.Quit
  prof = r15 & cv & "\Profiles\"
  cp = WshShell.RegRead(prof)
  If WScript.Arguments.Count > 0 Then
    cp=strip(WScript.Arguments(0))
  End If
  if cp="" then WScript.Quit
  key = prof & cp & "\Dialogs\AllAnavDialogs\DeletedExtensions\"
  WshShell.RegWrite key & "Buzzsaw", "", "REG_SZ"
  WshShell.RegWrite key & "RedSpark", "", "REG_SZ"
  WshShell.RegWrite key & "SimpleStorageSites", "", "REG_SZ"
  WshShell.RegWrite key & "FTPSites", "", "REG_SZ"
end sub

function strip(arg)
  if left(arg,1)="""" and right (arg,1)="""" then
    strip=mid(arg,1,len(arg)-2)
  else
    strip=arg
  end if
end function

main